# Unlimited history.
HISTSIZE="-1"

# Do not save commands starting with a space. Only save the last usage of a
# duplicate command.
HISTCONTROL="ignorespace:ignoredups:erasedups"

# Place history expansions into the editing buffer instead of executing them.
shopt -s histverify

# Reload failed history expansions.
shopt -s histreedit

# Append instead of replace.
shopt -s histappend

# Save all lines of multi-line command.
shopt -s cmdhist

# Do not replace newlines with semicolons.
shopt -s lithist

# Automatically perform history expansion when space is pressed.
bind 'Space: magic-space'
